Bug 822328 - Review Request: libmediainfo - Supplies technical and tag information about a video or audio file
Review Request: libmediainfo - Supplies technical and tag information about a...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On: 822329
Blocks: 822327
  Show dependency treegraph
 
Reported: 2012-05-17 01:21 EDT by Vasiliy Glazov
Modified: 2014-03-17 18:33 EDT (History)
4 users (show)

See Also:
Fixed In Version: libmediainfo-0.7.67-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-07 01:32:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Vasiliy Glazov 2012-05-17 01:21:59 EDT
Spec URL: https://github.com/RussianFedora/libmediainfo/blob/master/libmediainfo.spec
SRPM URL: http://koji.russianfedora.ru/packages/libmediainfo/0.7.57/1.fc17.R/src/libmediainfo-0.7.57-1.fc17.R.src.rpm

Description: 
MediaInfo supplies technical and tag information about a video or
audio file.

What information can I get from MediaInfo?
* General: title, author, director, album, track number, date, duration...
* Video: codec, aspect, fps, bitrate...
* Audio: codec, sample rate, channels, language, bitrate...
* Text: language of subtitle
* Chapters: number of chapters, list of chapters

DivX, XviD, H263, H.263, H264, x264, ASP, AVC, iTunes, MPEG-1,
MPEG1, MPEG-2, MPEG2, MPEG-4, MPEG4, MP4, M4A, M4V, QuickTime,
RealVideo, RealAudio, RA, RM, MSMPEG4v1, MSMPEG4v2, MSMPEG4v3,
VOB, DVD, WMA, VMW, ASF, 3GP, 3GPP, 3GP2

What format (container) does MediaInfo support?
* Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1,
  MPEG-2, MPEG-4, DVD (VOB) (Codecs: DivX, XviD, MSMPEG4, ASP,
  H.264, AVC...)
* Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF
* Subtitles: SRT, SSA, ASS, SAMI

This package contains the shared library for MediaInfo.

It needed for https://bugzilla.redhat.com/show_bug.cgi?id=822327

I need a sponsor for include this package in Fedora.
Comment 1 Nikita Klimov 2013-04-02 15:49:38 EDT
Hi Vasiliy.
Is it review request actual? If so, please update links, that SRPM and SPEC file be directly accessible. I'm not a sponsor, but I can do informal review.
Comment 3 Vasiliy Glazov 2013-04-23 05:54:50 EDT
Spec URL: https://raw.github.com/RussianFedora/libmediainfo/master/libmediainfo.spec
SRPM URL: http://koji.russianfedora.ru/packages/libmediainfo/0.7.62/2.fc18.R/src/libmediainfo-0.7.62-2.fc18.R.src.rpm

- Removed dos2unix from BR
- Correcting encoding for all files
- Corrected config and build
Comment 4 Nikita Klimov 2013-04-26 09:22:05 EDT
Hi Vasiliy,
I have a few comments:
- file /usr/share/doc/libmediainfo-devel-0.7.62/Example/HowToUse_Dll.cs in libmediainfo-devel package is not valid utf-8;
- you can swap 
find Source -type f -exec chmod 644 {} ';'
chmod 644 *.txt License.html
to
find . -type f -exec chmod 644 {} ';'
- tag `HTML_ALIGN_MEMBERS' at line 67 of file Doxyfile has become obsolete, please use `doxygen -u Doxyfile` before generate documentation;
- IMO upstream should be notified about all warnings in generated documentation time (doxygen Doxyfile);
- I'm not sure about license, I will clarify this issue in the legal mailing list.
Comment 5 Nikita Klimov 2013-04-27 07:00:48 EDT
In my opinion correct license is LGPLv2+.
Comment 6 Vasiliy Glazov 2013-04-29 05:50:50 EDT
What should I do with /usr/share/doc/libmediainfo-devel-0.7.62/Example/HowToUse_Dll.cs?
Comment 7 Nikita Klimov 2013-04-30 00:46:36 EDT
(In reply to comment #6)
> What should I do with
> /usr/share/doc/libmediainfo-devel-0.7.62/Example/HowToUse_Dll.cs?

You can use iconv or similar tools.
Comment 9 Christopher Meng 2013-07-31 23:34:41 EDT
What's your FAS id?
Comment 10 Vasiliy Glazov 2013-08-01 01:06:47 EDT
My FAS id vascom
Yesterday I am approved to packager group.
Now I must do that? https://fedoraproject.org/wiki/Package_SCM_admin_requests
Right?
Comment 11 Christopher Meng 2013-08-01 01:09:31 EDT
This package hasn't got approved, you can't request a SCM without fedora-review flag "+", now I set it to "?" indicates that I'm reviewing this package.
Comment 12 Jérôme Martinez 2013-08-01 04:21:00 EDT
Vasiliy, FYI license has changed since v0.7.63, it is now BSD-2-Clause (both libmediainfo and mediainfo packages)
http://mediaarea.net/MediaInfo/License
Comment 14 Christopher Meng 2013-08-01 20:52:08 EDT
Hmm...I have to review libzen first.
Comment 15 Christopher Meng 2013-09-06 13:39:48 EDT
Drop the review, please ask others, sorry.

Only copy things generated before.

License check:


*No copyright* zlib/libpng
--------------------------
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/MediaInfoLib/Project/MSCS2008/Example/HowToUse_Dll.cs
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/MediaInfoLib/Project/MSCS2010/Example/HowToUse_Dll.cs
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/MediaInfoLib/Source/ThirdParty/tinyxml2/tinyxml2.cpp
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/MediaInfoLib/Source/ThirdParty/tinyxml2/tinyxml2.h

and

Public domain
-------------
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/MediaInfoLib/Source/ThirdParty/md5/md5.c

Seems bundled libs/incorrect license tag.



==================
Rpmlint
-------
Checking: libmediainfo-0.7.64-3.fc20.i686.rpm
          libmediainfo-devel-0.7.64-3.fc20.i686.rpm
          libmediainfo-0.7.64-3.fc20.src.rpm
libmediainfo-devel.i686: W: file-not-utf8 /usr/share/doc/libmediainfo-devel/Example/HowToUse_Dll.cs


Also, all files should be installed with -p option.

%post -n %{name} -p /sbin/ldconfig can just be

%post -p /sbin/ldconfig
Comment 16 Christopher Meng 2013-11-01 23:14:02 EDT
Any updates on this? ping vascom.
Comment 17 Christopher Meng 2014-02-21 04:11:16 EST
PING.
Comment 18 Vasiliy Glazov 2014-02-21 05:24:17 EST
How you think should I am remove W: file-not-utf8 files or stay them as is because them from upstream?

Soon I'll make 0.7.67 version.
Comment 19 Christopher Meng 2014-02-21 05:32:07 EST
Well, 

I always ping upstream about this and ask them to fix in the next version, and leave the issue as-is...

You can convert them to utf8 but I think it's worthless to do that.
Comment 20 Jérôme Martinez 2014-02-21 05:40:21 EST
> How you think should I am remove W: file-not-utf8 files or stay them as is because them from upstream?

Sorry, I missed the comment about it.
I modified the file (one "é" was present and it should not, changed to "e") in the upstream SVN and it is pure ASCII now, in next release.
Comment 21 Vasiliy Glazov 2014-02-21 05:43:46 EST
OK. I just created bugreport about it https://sourceforge.net/p/mediainfo/bugs/832/
Comment 23 Jérôme Martinez 2014-02-21 05:53:50 EST
about embedded libraries:
- TinyXML-2: Debian decided to externalize it (they created a specific TinyXML-2 package based on a GIT version), so there is a build option " --with-libtinyxml2" if you want to prevent the build process to use the files in the source package.
- md5.c: if you want to externalize it, I can add the same kind of option.

Copyright info should be OK in all files now.

Let me know if you still have issue with how the upstream package is created.
Comment 24 Vasiliy Glazov 2014-02-21 06:04:32 EST
TinyXML-2 I already use system.

  Unicode?                                                yes
  Using ZenLib?                                           system
  Using libcurl?                                          system
  Using libmms?                                           no
  Using zlib?                                             system
  Using md5?                                              internal
  Using tinyxml2?                                         system
  Create static lib?                                      no
  Create shared lib?                                      yes

Option --with-libmd5 I try too, but it can't find MD5 in system.
Comment 25 Christopher Meng 2014-02-21 06:38:23 EST
https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries

See md5 exception.
Comment 26 Christopher Meng 2014-02-22 04:34:08 EST
It requires mms support.

I think we can move this package to RPMFusion. I don't want to see package with partial support.

Your opinion?
Comment 27 Jérôme Martinez 2014-02-22 05:33:44 EST
> It requires mms support.

MMS support was implemented several years ago for an unique customer who also hacked a bit the last version of libmms for its own needs, and it is not actively maintained, tested or used by anyone today. libmms is also a bit abandoned and MMS protocol is no more used in the real world today.

> Your opinion?

I (the main upstream developer) would prefer you do not try to activate libmms support until someone is really interested to test it, to use it and to maintain it.
Comment 28 Christopher Meng 2014-02-22 05:41:48 EST
(In reply to Jérôme Martinez from comment #27)
> > It requires mms support.
> 
> MMS support was implemented several years ago for an unique customer who
> also hacked a bit the last version of libmms for its own needs, and it is
> not actively maintained, tested or used by anyone today. libmms is also a
> bit abandoned and MMS protocol is no more used in the real world today.
> 
> > Your opinion?
> 
> I (the main upstream developer) would prefer you do not try to activate
> libmms support until someone is really interested to test it, to use it and
> to maintain it.

Got it! I will review it tomorrow.
Comment 29 Vasiliy Glazov 2014-02-22 05:48:24 EST
Thanks.
Comment 30 Christopher Meng 2014-02-23 22:05:22 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated", "*No copyright* Public domain". 455 files have
     unknown license. Detailed output of licensecheck:

*No copyright* Public domain
----------------------------
MediaInfoLib/Source/ThirdParty/md5/md5.c

Unknown or generated
--------------------
MediaInfoLib/Project/BCB/Library/MediaInfoLib.cpp
MediaInfoLib/Project/BCB/PreRelease/PreRelease.cpp
MediaInfoLib/Project/Delphi/Example/HowToUse_Dll_.pas
MediaInfoLib/Project/GNU/Library/AddThisToRoot_DLL_compile.sh
MediaInfoLib/Project/Java/Example.JNA/Compile.sh
MediaInfoLib/Project/Java/Example.JNA/MakeJavaDoc.sh
MediaInfoLib/Project/Java/Example.JNA/Run.sh
MediaInfoLib/Project/Java/Example.JNative/Compile.sh
MediaInfoLib/Project/Java/Example.JNative/MakeJavaDoc.sh
MediaInfoLib/Project/Java/Example.JNative/Run.sh
MediaInfoLib/Project/MSVC2008/Example/resource.h
MediaInfoLib/Project/MSVC2008/ShellExtension/MediaInfoShellExt.cpp
MediaInfoLib/Project/MSVC2008/ShellExtension/MediaInfoShellExt_.cpp
MediaInfoLib/Project/MSVC2008/ShellExtension/MediaInfoShellExt_.h
MediaInfoLib/Project/MSVC2008/ShellExtension/resource.h
MediaInfoLib/Project/MSVC2008/ShellExtension/stdafx.cpp
MediaInfoLib/Project/MSVC2008/ShellExtension/stdafx.h
MediaInfoLib/Project/MSVC2010/ShellExtension/MediaInfoShellExt.cpp
MediaInfoLib/Project/MSVC2010/ShellExtension/MediaInfoShellExt.h
MediaInfoLib/Project/MSVC2010/ShellExtension/MediaInfoShellExt_.cpp
MediaInfoLib/Project/MSVC2010/ShellExtension/MediaInfoShellExt_.h
MediaInfoLib/Project/MSVC2010/ShellExtension/resource.h
MediaInfoLib/Project/MSVC2010/ShellExtension/stdafx.cpp
MediaInfoLib/Project/MSVC2010/ShellExtension/stdafx.h
MediaInfoLib/Project/MSVC2012/ShellExtension/MediaInfoShellExt.cpp
MediaInfoLib/Project/MSVC2012/ShellExtension/MediaInfoShellExt_.cpp
MediaInfoLib/Project/MSVC2012/ShellExtension/stdafx.cpp
MediaInfoLib/Project/MSVC2013/ShellExtension/MediaInfoShellExt.cpp
MediaInfoLib/Project/MSVC2013/ShellExtension/MediaInfoShellExt_.cpp
MediaInfoLib/Project/MSVC2013/ShellExtension/stdafx.cpp
MediaInfoLib/Project/NetBeans/Example.JNA/src/HowToUse_Dll.JNA.java
MediaInfoLib/Project/NetBeans/Example.JNA/src/MediaInfoDLL.JNA.java
MediaInfoLib/Project/NetBeans/Example.JNative/src/HowToUse_Dll.JNative.java
MediaInfoLib/Project/NetBeans/Example.JNative/src/MediaInfoDLL.JNative.java
MediaInfoLib/Release/Release_DLL_GNU_FromSource.sh
MediaInfoLib/Release/Release_DLL_Linux_i386.sh
MediaInfoLib/Release/Release_DLL_Linux_x64.sh
MediaInfoLib/Release/Release_DLL_Mac_Intel.sh
MediaInfoLib/Release/Release_DLL_Mac_PPC.sh
MediaInfoLib/Release/Release_DLL_Mac_Universal.sh
MediaInfoLib/Release/Release_Lib_GNU_FromSource.sh
MediaInfoLib/Source/Example/HowToUse.cpp
MediaInfoLib/Source/Example/HowToUse_Dll.JNA.java
MediaInfoLib/Source/Example/HowToUse_Dll.JNative.java
MediaInfoLib/Source/Example/HowToUse_Dll.cpp
MediaInfoLib/Source/Example/HowToUse_Dll.cs
MediaInfoLib/Source/Example/HowToUse_Dll.py
MediaInfoLib/Source/Example/HowToUse_Dll3.py
MediaInfoLib/Source/Example/HowToUse_Dll_CLI.cs
MediaInfoLib/Source/MediaInfo/Archive/File_7z.cpp
MediaInfoLib/Source/MediaInfo/Archive/File_7z.h
MediaInfoLib/Source/MediaInfo/Archive/File_Ace.cpp
MediaInfoLib/Source/MediaInfo/Archive/File_Ace.h
MediaInfoLib/Source/MediaInfo/Archive/File_Bzip2.cpp
MediaInfoLib/Source/MediaInfo/Archive/File_Bzip2.h
MediaInfoLib/Source/MediaInfo/Archive/File_Elf.cpp
MediaInfoLib/Source/MediaInfo/Archive/File_Elf.h
MediaInfoLib/Source/MediaInfo/Archive/File_Gzip.cpp
MediaInfoLib/Source/MediaInfo/Archive/File_Gzip.h
MediaInfoLib/Source/MediaInfo/Archive/File_Iso9660.cpp
MediaInfoLib/Source/MediaInfo/Archive/File_Iso9660.h
MediaInfoLib/Source/MediaInfo/Archive/File_Mz.cpp
MediaInfoLib/Source/MediaInfo/Archive/File_Mz.h
MediaInfoLib/Source/MediaInfo/Archive/File_Rar.cpp
MediaInfoLib/Source/MediaInfo/Archive/File_Rar.h
MediaInfoLib/Source/MediaInfo/Archive/File_Tar.cpp
MediaInfoLib/Source/MediaInfo/Archive/File_Tar.h
MediaInfoLib/Source/MediaInfo/Archive/File_Zip.cpp
MediaInfoLib/Source/MediaInfo/Archive/File_Zip.h
MediaInfoLib/Source/MediaInfo/Audio/File_Aac.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_Aac.h
MediaInfoLib/Source/MediaInfo/Audio/File_Aac_GeneralAudio.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_Aac_GeneralAudio.h
MediaInfoLib/Source/MediaInfo/Audio/File_Aac_GeneralAudio_Sbr.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_Aac_GeneralAudio_Sbr.h
MediaInfoLib/Source/MediaInfo/Audio/File_Aac_GeneralAudio_Sbr_Ps.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_Aac_GeneralAudio_Sbr_Ps.h
MediaInfoLib/Source/MediaInfo/Audio/File_Aac_Main.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_Aac_Others.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_Ac3.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_Ac3.h
MediaInfoLib/Source/MediaInfo/Audio/File_Adpcm.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_Adpcm.h
MediaInfoLib/Source/MediaInfo/Audio/File_Als.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_Als.h
MediaInfoLib/Source/MediaInfo/Audio/File_Amr.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_Amr.h
MediaInfoLib/Source/MediaInfo/Audio/File_Amv.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_Amv.h
MediaInfoLib/Source/MediaInfo/Audio/File_Ape.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_Ape.h
MediaInfoLib/Source/MediaInfo/Audio/File_Au.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_Au.h
MediaInfoLib/Source/MediaInfo/Audio/File_Celt.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_Celt.h
MediaInfoLib/Source/MediaInfo/Audio/File_ChannelGrouping.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_ChannelGrouping.h
MediaInfoLib/Source/MediaInfo/Audio/File_DolbyE.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_DolbyE.h
MediaInfoLib/Source/MediaInfo/Audio/File_Dts.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_Dts.h
MediaInfoLib/Source/MediaInfo/Audio/File_ExtendedModule.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_ExtendedModule.h
MediaInfoLib/Source/MediaInfo/Audio/File_Flac.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_Flac.h
MediaInfoLib/Source/MediaInfo/Audio/File_ImpulseTracker.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_ImpulseTracker.h
MediaInfoLib/Source/MediaInfo/Audio/File_La.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_La.h
MediaInfoLib/Source/MediaInfo/Audio/File_Midi.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_Midi.h
MediaInfoLib/Source/MediaInfo/Audio/File_Module.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_Module.h
MediaInfoLib/Source/MediaInfo/Audio/File_Mpc.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_Mpc.h
MediaInfoLib/Source/MediaInfo/Audio/File_MpcSv8.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_MpcSv8.h
MediaInfoLib/Source/MediaInfo/Audio/File_Mpega.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_Mpega.h
MediaInfoLib/Source/MediaInfo/Audio/File_Opus.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_Opus.h
MediaInfoLib/Source/MediaInfo/Audio/File_Pcm.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_Pcm.h
MediaInfoLib/Source/MediaInfo/Audio/File_Pcm_M2ts.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_Pcm_M2ts.h
MediaInfoLib/Source/MediaInfo/Audio/File_Pcm_Vob.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_Pcm_Vob.h
MediaInfoLib/Source/MediaInfo/Audio/File_Ps2Audio.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_Ps2Audio.h
MediaInfoLib/Source/MediaInfo/Audio/File_Rkau.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_Rkau.h
MediaInfoLib/Source/MediaInfo/Audio/File_ScreamTracker3.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_ScreamTracker3.h
MediaInfoLib/Source/MediaInfo/Audio/File_SmpteSt0302.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_SmpteSt0302.h
MediaInfoLib/Source/MediaInfo/Audio/File_SmpteSt0331.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_SmpteSt0331.h
MediaInfoLib/Source/MediaInfo/Audio/File_SmpteSt0337.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_SmpteSt0337.h
MediaInfoLib/Source/MediaInfo/Audio/File_Speex.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_Speex.h
MediaInfoLib/Source/MediaInfo/Audio/File_Tak.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_Tak.h
MediaInfoLib/Source/MediaInfo/Audio/File_Tta.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_Tta.h
MediaInfoLib/Source/MediaInfo/Audio/File_TwinVQ.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_TwinVQ.h
MediaInfoLib/Source/MediaInfo/Audio/File_Vorbis.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_Vorbis.h
MediaInfoLib/Source/MediaInfo/Audio/File_Wvpk.cpp
MediaInfoLib/Source/MediaInfo/Audio/File_Wvpk.h
MediaInfoLib/Source/MediaInfo/Duplicate/File__Duplicate_MpegTs.cpp
MediaInfoLib/Source/MediaInfo/Duplicate/File__Duplicate_MpegTs.h
MediaInfoLib/Source/MediaInfo/Duplicate/File__Duplicate__Base.cpp
MediaInfoLib/Source/MediaInfo/Duplicate/File__Duplicate__Base.h
MediaInfoLib/Source/MediaInfo/Duplicate/File__Duplicate__Writer.cpp
MediaInfoLib/Source/MediaInfo/Duplicate/File__Duplicate__Writer.h
MediaInfoLib/Source/MediaInfo/Export/Export_EbuCore.cpp
MediaInfoLib/Source/MediaInfo/Export/Export_EbuCore.h
MediaInfoLib/Source/MediaInfo/Export/Export_Mpeg7.cpp
MediaInfoLib/Source/MediaInfo/Export/Export_Mpeg7.h
MediaInfoLib/Source/MediaInfo/Export/Export_PBCore.cpp
MediaInfoLib/Source/MediaInfo/Export/Export_PBCore.h
MediaInfoLib/Source/MediaInfo/Export/Export_reVTMD.cpp
MediaInfoLib/Source/MediaInfo/Export/Export_reVTMD.h
MediaInfoLib/Source/MediaInfo/File_Dummy.cpp
MediaInfoLib/Source/MediaInfo/File_Dummy.h
MediaInfoLib/Source/MediaInfo/File_Other.cpp
MediaInfoLib/Source/MediaInfo/File_Other.h
MediaInfoLib/Source/MediaInfo/File_Unknown.cpp
MediaInfoLib/Source/MediaInfo/File_Unknown.h
MediaInfoLib/Source/MediaInfo/File__Analyse_Automatic.h
MediaInfoLib/Source/MediaInfo/File__Analyze.cpp
MediaInfoLib/Source/MediaInfo/File__Analyze.h
MediaInfoLib/Source/MediaInfo/File__Analyze_Buffer.cpp
MediaInfoLib/Source/MediaInfo/File__Analyze_Buffer_MinimizeSize.cpp
MediaInfoLib/Source/MediaInfo/File__Analyze_MinimizeSize.h
MediaInfoLib/Source/MediaInfo/File__Analyze_Streams.cpp
MediaInfoLib/Source/MediaInfo/File__Analyze_Streams_Finish.cpp
MediaInfoLib/Source/MediaInfo/File__Base.cpp
MediaInfoLib/Source/MediaInfo/File__Base.h
MediaInfoLib/Source/MediaInfo/File__Duplicate.cpp
MediaInfoLib/Source/MediaInfo/File__Duplicate.h
MediaInfoLib/Source/MediaInfo/File__MultipleParsing.cpp
MediaInfoLib/Source/MediaInfo/File__MultipleParsing.h
MediaInfoLib/Source/MediaInfo/Image/File_Bmp.cpp
MediaInfoLib/Source/MediaInfo/Image/File_Bmp.h
MediaInfoLib/Source/MediaInfo/Image/File_Dpx.cpp
MediaInfoLib/Source/MediaInfo/Image/File_Dpx.h
MediaInfoLib/Source/MediaInfo/Image/File_Exr.cpp
MediaInfoLib/Source/MediaInfo/Image/File_Exr.h
MediaInfoLib/Source/MediaInfo/Image/File_Gif.cpp
MediaInfoLib/Source/MediaInfo/Image/File_Gif.h
MediaInfoLib/Source/MediaInfo/Image/File_Ico.cpp
MediaInfoLib/Source/MediaInfo/Image/File_Ico.h
MediaInfoLib/Source/MediaInfo/Image/File_Jpeg.cpp
MediaInfoLib/Source/MediaInfo/Image/File_Jpeg.h
MediaInfoLib/Source/MediaInfo/Image/File_Pcx.cpp
MediaInfoLib/Source/MediaInfo/Image/File_Pcx.h
MediaInfoLib/Source/MediaInfo/Image/File_Png.cpp
MediaInfoLib/Source/MediaInfo/Image/File_Png.h
MediaInfoLib/Source/MediaInfo/Image/File_Psd.cpp
MediaInfoLib/Source/MediaInfo/Image/File_Psd.h
MediaInfoLib/Source/MediaInfo/Image/File_Rle.cpp
MediaInfoLib/Source/MediaInfo/Image/File_Rle.h
MediaInfoLib/Source/MediaInfo/Image/File_Tga.cpp
MediaInfoLib/Source/MediaInfo/Image/File_Tga.h
MediaInfoLib/Source/MediaInfo/Image/File_Tiff.cpp
MediaInfoLib/Source/MediaInfo/Image/File_Tiff.h
MediaInfoLib/Source/MediaInfo/MediaInfo.cpp
MediaInfoLib/Source/MediaInfo/MediaInfo.h
MediaInfoLib/Source/MediaInfo/MediaInfoList.cpp
MediaInfoLib/Source/MediaInfo/MediaInfoList.h
MediaInfoLib/Source/MediaInfo/MediaInfoList_Internal.cpp
MediaInfoLib/Source/MediaInfo/MediaInfoList_Internal.h
MediaInfoLib/Source/MediaInfo/MediaInfo_Config.cpp
MediaInfoLib/Source/MediaInfo/MediaInfo_Config.h
MediaInfoLib/Source/MediaInfo/MediaInfo_Config_Automatic.cpp
MediaInfoLib/Source/MediaInfo/MediaInfo_Config_MediaInfo.cpp
MediaInfoLib/Source/MediaInfo/MediaInfo_Config_MediaInfo.h
MediaInfoLib/Source/MediaInfo/MediaInfo_Const.h
MediaInfoLib/Source/MediaInfo/MediaInfo_Events.h
MediaInfoLib/Source/MediaInfo/MediaInfo_Events_Internal.h
MediaInfoLib/Source/MediaInfo/MediaInfo_File.cpp
MediaInfoLib/Source/MediaInfo/MediaInfo_Inform.cpp
MediaInfoLib/Source/MediaInfo/MediaInfo_Internal.cpp
MediaInfoLib/Source/MediaInfo/MediaInfo_Internal.h
MediaInfoLib/Source/MediaInfo/MediaInfo_Internal_Const.h
MediaInfoLib/Source/MediaInfo/Multiple/File_Aaf.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Aaf.h
MediaInfoLib/Source/MediaInfo/Multiple/File_Ancillary.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Ancillary.h
MediaInfoLib/Source/MediaInfo/Multiple/File_Bdmv.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Bdmv.h
MediaInfoLib/Source/MediaInfo/Multiple/File_Cdxa.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Cdxa.h
MediaInfoLib/Source/MediaInfo/Multiple/File_DashMpd.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_DashMpd.h
MediaInfoLib/Source/MediaInfo/Multiple/File_DcpAm.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_DcpAm.h
MediaInfoLib/Source/MediaInfo/Multiple/File_DcpCpl.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_DcpCpl.h
MediaInfoLib/Source/MediaInfo/Multiple/File_DcpPkl.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_DcpPkl.h
MediaInfoLib/Source/MediaInfo/Multiple/File_Dpg.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Dpg.h
MediaInfoLib/Source/MediaInfo/Multiple/File_DvDif.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_DvDif.h
MediaInfoLib/Source/MediaInfo/Multiple/File_DvDif_Analysis.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Dvdv.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Dvdv.h
MediaInfoLib/Source/MediaInfo/Multiple/File_Dxw.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Dxw.h
MediaInfoLib/Source/MediaInfo/Multiple/File_Flv.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Flv.h
MediaInfoLib/Source/MediaInfo/Multiple/File_Gxf.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Gxf.h
MediaInfoLib/Source/MediaInfo/Multiple/File_Gxf_TimeCode.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Gxf_TimeCode.h
MediaInfoLib/Source/MediaInfo/Multiple/File_HdsF4m.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_HdsF4m.h
MediaInfoLib/Source/MediaInfo/Multiple/File_Hls.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Hls.h
MediaInfoLib/Source/MediaInfo/Multiple/File_Ibi.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Ibi.h
MediaInfoLib/Source/MediaInfo/Multiple/File_Ibi_Creation.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Ibi_Creation.h
MediaInfoLib/Source/MediaInfo/Multiple/File_Ism.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Ism.h
MediaInfoLib/Source/MediaInfo/Multiple/File_Ivf.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Ivf.h
MediaInfoLib/Source/MediaInfo/Multiple/File_Lxf.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Lxf.h
MediaInfoLib/Source/MediaInfo/Multiple/File_Mk.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Mk.h
MediaInfoLib/Source/MediaInfo/Multiple/File_Mpeg4.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Mpeg4.h
MediaInfoLib/Source/MediaInfo/Multiple/File_Mpeg4_Descriptors.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Mpeg4_Descriptors.h
MediaInfoLib/Source/MediaInfo/Multiple/File_Mpeg4_Elements.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Mpeg4_TimeCode.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Mpeg4_TimeCode.h
MediaInfoLib/Source/MediaInfo/Multiple/File_MpegPs.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_MpegPs.h
MediaInfoLib/Source/MediaInfo/Multiple/File_MpegTs.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_MpegTs.h
MediaInfoLib/Source/MediaInfo/Multiple/File_MpegTs_Duplicate.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Mpeg_Descriptors.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Mpeg_Descriptors.h
MediaInfoLib/Source/MediaInfo/Multiple/File_Mpeg_Psi.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Mpeg_Psi.h
MediaInfoLib/Source/MediaInfo/Multiple/File_Mxf.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Mxf.h
MediaInfoLib/Source/MediaInfo/Multiple/File_Nut.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Nut.h
MediaInfoLib/Source/MediaInfo/Multiple/File_Ogg.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Ogg.h
MediaInfoLib/Source/MediaInfo/Multiple/File_Ogg_SubElement.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Ogg_SubElement.h
MediaInfoLib/Source/MediaInfo/Multiple/File_P2_Clip.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_P2_Clip.h
MediaInfoLib/Source/MediaInfo/Multiple/File_Pmp.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Pmp.h
MediaInfoLib/Source/MediaInfo/Multiple/File_Ptx.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Ptx.h
MediaInfoLib/Source/MediaInfo/Multiple/File_Riff.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Riff.h
MediaInfoLib/Source/MediaInfo/Multiple/File_Riff_Elements.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Rm.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Rm.h
MediaInfoLib/Source/MediaInfo/Multiple/File_SequenceInfo.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_SequenceInfo.h
MediaInfoLib/Source/MediaInfo/Multiple/File_Skm.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Skm.h
MediaInfoLib/Source/MediaInfo/Multiple/File_Swf.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Swf.h
MediaInfoLib/Source/MediaInfo/Multiple/File_Umf.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Umf.h
MediaInfoLib/Source/MediaInfo/Multiple/File_Wm.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Wm.h
MediaInfoLib/Source/MediaInfo/Multiple/File_Wm_Elements.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Xdcam_Clip.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File_Xdcam_Clip.h
MediaInfoLib/Source/MediaInfo/Multiple/File__ReferenceFilesHelper.cpp
MediaInfoLib/Source/MediaInfo/Multiple/File__ReferenceFilesHelper.h
MediaInfoLib/Source/MediaInfo/PreComp.cpp
MediaInfoLib/Source/MediaInfo/PreComp.h
MediaInfoLib/Source/MediaInfo/Reader/Reader_Directory.cpp
MediaInfoLib/Source/MediaInfo/Reader/Reader_Directory.h
MediaInfoLib/Source/MediaInfo/Reader/Reader_File.cpp
MediaInfoLib/Source/MediaInfo/Reader/Reader_File.h
MediaInfoLib/Source/MediaInfo/Reader/Reader__Base.h
MediaInfoLib/Source/MediaInfo/Reader/Reader_libcurl.cpp
MediaInfoLib/Source/MediaInfo/Reader/Reader_libcurl.h
MediaInfoLib/Source/MediaInfo/Reader/Reader_libcurl_Include.h
MediaInfoLib/Source/MediaInfo/Reader/Reader_libmms.cpp
MediaInfoLib/Source/MediaInfo/Reader/Reader_libmms.h
MediaInfoLib/Source/MediaInfo/Setup.h
MediaInfoLib/Source/MediaInfo/Tag/File_ApeTag.cpp
MediaInfoLib/Source/MediaInfo/Tag/File_ApeTag.h
MediaInfoLib/Source/MediaInfo/Tag/File_Id3.cpp
MediaInfoLib/Source/MediaInfo/Tag/File_Id3.h
MediaInfoLib/Source/MediaInfo/Tag/File_Id3v2.cpp
MediaInfoLib/Source/MediaInfo/Tag/File_Id3v2.h
MediaInfoLib/Source/MediaInfo/Tag/File_Lyrics3.cpp
MediaInfoLib/Source/MediaInfo/Tag/File_Lyrics3.h
MediaInfoLib/Source/MediaInfo/Tag/File_Lyrics3v2.cpp
MediaInfoLib/Source/MediaInfo/Tag/File_Lyrics3v2.h
MediaInfoLib/Source/MediaInfo/Tag/File_VorbisCom.cpp
MediaInfoLib/Source/MediaInfo/Tag/File_VorbisCom.h
MediaInfoLib/Source/MediaInfo/Tag/File__Tags.cpp
MediaInfoLib/Source/MediaInfo/Tag/File__Tags.h
MediaInfoLib/Source/MediaInfo/Text/File_AribStdB24B37.cpp
MediaInfoLib/Source/MediaInfo/Text/File_AribStdB24B37.h
MediaInfoLib/Source/MediaInfo/Text/File_Cdp.cpp
MediaInfoLib/Source/MediaInfo/Text/File_Cdp.h
MediaInfoLib/Source/MediaInfo/Text/File_Cmml.cpp
MediaInfoLib/Source/MediaInfo/Text/File_Cmml.h
MediaInfoLib/Source/MediaInfo/Text/File_DtvccTransport.cpp
MediaInfoLib/Source/MediaInfo/Text/File_DtvccTransport.h
MediaInfoLib/Source/MediaInfo/Text/File_DvbSubtitle.cpp
MediaInfoLib/Source/MediaInfo/Text/File_DvbSubtitle.h
MediaInfoLib/Source/MediaInfo/Text/File_Eia608.cpp
MediaInfoLib/Source/MediaInfo/Text/File_Eia608.h
MediaInfoLib/Source/MediaInfo/Text/File_Eia708.cpp
MediaInfoLib/Source/MediaInfo/Text/File_Eia708.h
MediaInfoLib/Source/MediaInfo/Text/File_Kate.cpp
MediaInfoLib/Source/MediaInfo/Text/File_Kate.h
MediaInfoLib/Source/MediaInfo/Text/File_N19.cpp
MediaInfoLib/Source/MediaInfo/Text/File_N19.h
MediaInfoLib/Source/MediaInfo/Text/File_OtherText.cpp
MediaInfoLib/Source/MediaInfo/Text/File_OtherText.h
MediaInfoLib/Source/MediaInfo/Text/File_Pgs.cpp
MediaInfoLib/Source/MediaInfo/Text/File_Pgs.h
MediaInfoLib/Source/MediaInfo/Text/File_Scc.cpp
MediaInfoLib/Source/MediaInfo/Text/File_Scc.h
MediaInfoLib/Source/MediaInfo/Text/File_Scte20.cpp
MediaInfoLib/Source/MediaInfo/Text/File_Scte20.h
MediaInfoLib/Source/MediaInfo/Text/File_SubRip.cpp
MediaInfoLib/Source/MediaInfo/Text/File_SubRip.h
MediaInfoLib/Source/MediaInfo/Text/File_Teletext.cpp
MediaInfoLib/Source/MediaInfo/Text/File_Teletext.h
MediaInfoLib/Source/MediaInfo/Text/File_TimedText.cpp
MediaInfoLib/Source/MediaInfo/Text/File_TimedText.h
MediaInfoLib/Source/MediaInfo/Text/File_Ttml.cpp
MediaInfoLib/Source/MediaInfo/Text/File_Ttml.h
MediaInfoLib/Source/MediaInfo/TimeCode.cpp
MediaInfoLib/Source/MediaInfo/TimeCode.h
MediaInfoLib/Source/MediaInfo/Video/File_AfdBarData.cpp
MediaInfoLib/Source/MediaInfo/Video/File_AfdBarData.h
MediaInfoLib/Source/MediaInfo/Video/File_Aic.cpp
MediaInfoLib/Source/MediaInfo/Video/File_Aic.h
MediaInfoLib/Source/MediaInfo/Video/File_Avc.cpp
MediaInfoLib/Source/MediaInfo/Video/File_Avc.h
MediaInfoLib/Source/MediaInfo/Video/File_Avc_Duplicate.cpp
MediaInfoLib/Source/MediaInfo/Video/File_AvsV.cpp
MediaInfoLib/Source/MediaInfo/Video/File_AvsV.h
MediaInfoLib/Source/MediaInfo/Video/File_Canopus.cpp
MediaInfoLib/Source/MediaInfo/Video/File_Canopus.h
MediaInfoLib/Source/MediaInfo/Video/File_Dirac.cpp
MediaInfoLib/Source/MediaInfo/Video/File_Dirac.h
MediaInfoLib/Source/MediaInfo/Video/File_Flic.cpp
MediaInfoLib/Source/MediaInfo/Video/File_Flic.h
MediaInfoLib/Source/MediaInfo/Video/File_Fraps.cpp
MediaInfoLib/Source/MediaInfo/Video/File_Fraps.h
MediaInfoLib/Source/MediaInfo/Video/File_H263.cpp
MediaInfoLib/Source/MediaInfo/Video/File_H263.h
MediaInfoLib/Source/MediaInfo/Video/File_Hevc.cpp
MediaInfoLib/Source/MediaInfo/Video/File_Hevc.h
MediaInfoLib/Source/MediaInfo/Video/File_Lagarith.cpp
MediaInfoLib/Source/MediaInfo/Video/File_Lagarith.h
MediaInfoLib/Source/MediaInfo/Video/File_Mpeg4v.cpp
MediaInfoLib/Source/MediaInfo/Video/File_Mpeg4v.h
MediaInfoLib/Source/MediaInfo/Video/File_Mpegv.cpp
MediaInfoLib/Source/MediaInfo/Video/File_Mpegv.h
MediaInfoLib/Source/MediaInfo/Video/File_ProRes.cpp
MediaInfoLib/Source/MediaInfo/Video/File_ProRes.h
MediaInfoLib/Source/MediaInfo/Video/File_Theora.cpp
MediaInfoLib/Source/MediaInfo/Video/File_Theora.h
MediaInfoLib/Source/MediaInfo/Video/File_Vc1.cpp
MediaInfoLib/Source/MediaInfo/Video/File_Vc1.h
MediaInfoLib/Source/MediaInfo/Video/File_Vc3.cpp
MediaInfoLib/Source/MediaInfo/Video/File_Vc3.h
MediaInfoLib/Source/MediaInfo/Video/File_Vp8.cpp
MediaInfoLib/Source/MediaInfo/Video/File_Vp8.h
MediaInfoLib/Source/MediaInfo/Video/File_Y4m.cpp
MediaInfoLib/Source/MediaInfo/Video/File_Y4m.h
MediaInfoLib/Source/MediaInfoDLL/MediaInfoDLL.JNA.java
MediaInfoLib/Source/MediaInfoDLL/MediaInfoDLL.JNative.java
MediaInfoLib/Source/MediaInfoDLL/MediaInfoDLL.cpp
MediaInfoLib/Source/MediaInfoDLL/MediaInfoDLL.cs
MediaInfoLib/Source/MediaInfoDLL/MediaInfoDLL.h
MediaInfoLib/Source/MediaInfoDLL/MediaInfoDLL.pas
MediaInfoLib/Source/MediaInfoDLL/MediaInfoDLL.py
MediaInfoLib/Source/MediaInfoDLL/MediaInfoDLL3.py
MediaInfoLib/Source/MediaInfoDLL/MediaInfoDLL_Static.h
MediaInfoLib/Source/PreRelease/Enums.cpp
MediaInfoLib/Source/PreRelease/Enums.h
MediaInfoLib/Source/PreRelease/OldFiles.cpp
MediaInfoLib/Source/PreRelease/OldFiles.h
MediaInfoLib/Source/PreRelease/Resources.cpp
MediaInfoLib/Source/PreRelease/Resources.h
MediaInfoLib/Source/PreRelease/VCL/PreRelease_.cpp
MediaInfoLib/Source/PreRelease/VCL/PreRelease_.h
MediaInfoLib/Source/PreRelease/WxWidgets/App.cpp
MediaInfoLib/Source/PreRelease/WxWidgets/App.h
MediaInfoLib/Source/PreRelease/WxWidgets/GUI_Main.cpp
MediaInfoLib/Source/PreRelease/WxWidgets/GUI_Main.h
MediaInfoLib/Source/RegressionTest/RegressionTest.cpp
MediaInfoLib/Source/RegressionTest/RegressionTest.h
MediaInfoLib/Source/RegressionTest/RegressionTest_Basic.cpp
MediaInfoLib/Source/RegressionTest/RegressionTest_Events.cpp
MediaInfoLib/Source/RegressionTest/RegressionTest_Md5.cpp
MediaInfoLib/Source/ThirdParty/base64/base64.h
MediaInfoLib/Source/ThirdParty/md5/md5.h

[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 768000 bytes in 70 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[-]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: libmediainfo-0.7.67-1.fc21.i686.rpm
          libmediainfo-devel-0.7.67-1.fc21.i686.rpm
          libmediainfo-0.7.67-1.fc21.src.rpm
libmediainfo.i686: I: enchant-dictionary-not-found ru
libmediainfo.i686: W: spelling-error %description -l en_US codec -> codex, code, codes
libmediainfo.i686: W: spelling-error %description -l en_US bitrate -> nitrate, bit rate, bit-rate
libmediainfo.i686: W: spelling-error %description -l en_US DivX -> Div X, Div, Dive
libmediainfo.i686: W: invalid-url URL: http://mediainfo.sourceforge.net/ <urlopen error timed out>
libmediainfo.i686: W: file-not-utf8 /usr/share/doc/libmediainfo/History.txt
libmediainfo-devel.i686: W: invalid-url URL: http://mediainfo.sourceforge.net/ <urlopen error timed out>
libmediainfo-devel.i686: W: file-not-utf8 /usr/share/doc/libmediainfo-devel/Example/HowToUse_Dll.cs
libmediainfo.src: W: spelling-error %description -l en_US codec -> codex, code, codes
libmediainfo.src: W: spelling-error %description -l en_US bitrate -> nitrate, bit rate, bit-rate
libmediainfo.src: W: spelling-error %description -l en_US DivX -> Div X, Div, Dive
libmediainfo.src: W: invalid-url URL: http://mediainfo.sourceforge.net/ <urlopen error timed out>
3 packages and 0 specfiles checked; 0 errors, 11 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint libmediainfo-devel libmediainfo
libmediainfo-devel.i686: I: enchant-dictionary-not-found ru
libmediainfo-devel.i686: W: invalid-url URL: http://mediainfo.sourceforge.net/ <urlopen error timed out>
libmediainfo-devel.i686: W: file-not-utf8 /usr/share/doc/libmediainfo-devel/Example/HowToUse_Dll.cs
libmediainfo.i686: W: spelling-error %description -l en_US codec -> codex, code, codes
libmediainfo.i686: W: spelling-error %description -l en_US bitrate -> nitrate, bit rate, bit-rate
libmediainfo.i686: W: spelling-error %description -l en_US DivX -> Div X, Div, Dive
libmediainfo.i686: W: invalid-url URL: http://mediainfo.sourceforge.net/ <urlopen error timed out>
libmediainfo.i686: W: file-not-utf8 /usr/share/doc/libmediainfo/History.txt
2 packages and 0 specfiles checked; 0 errors, 7 warnings.
# echo 'rpmlint-done:'



Requires
--------
libmediainfo-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libmediainfo(x86-32)
    libmediainfo.so.0
    libzen-devel(x86-32)

libmediainfo (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6
    libcurl.so.4
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libgcc_s.so.1(GCC_4.0.0)
    libm.so.6
    libpthread.so.0
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    libtinyxml2.so.1
    libz.so.1
    libzen.so.0
    rtld(GNU_HASH)



Provides
--------
libmediainfo-devel:
    libmediainfo-devel
    libmediainfo-devel(x86-32)
    pkgconfig(libmediainfo)

libmediainfo:
    libmediainfo
    libmediainfo(x86-32)
    libmediainfo.so.0



Source checksums
----------------
http://downloads.sourceforge.net/mediainfo/libmediainfo_0.7.67.tar.bz2 :
  CHECKSUM(SHA256) this package     : d5204f5bcb1fb07954ecc59eb639e85975bc3fcc83b77fb47689a558a1e24a74
  CHECKSUM(SHA256) upstream package : d5204f5bcb1fb07954ecc59eb639e85975bc3fcc83b77fb47689a558a1e24a74


AutoTools: Obsoleted m4s found
------------------------------
  AC_PROG_LIBTOOL found in: MediaInfoLib/Project/GNU/Library/configure.ac:29


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/bin/fedora-review -rvn libmediainfo-0.7.67-1.fc21.R.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

------------------------------
1. autoreconf -i --> autoreconf -fiv

2. Summary: Supplies technical and tag information about a video or audio file

Hmm....

It's a library in fact, you'd better think about this, like mentioning "library" in %summary, also don't forget the no more 80 chars per line rule.

3. Sources are totally jumbled... pascal c java c++ and xxx.... Upstream should give them license header.

4. install -m 644 -p Source/MediaInfoDLL/MediaInfoDLL.py %{buildroot}%{_includedir}/MediaInfoDLL
install -m 644 -p Source/MediaInfoDLL/MediaInfoDLL3.py %{buildroot}%{_includedir}/MediaInfoDLL


What are these py used for?

5. Please follow the guideline at cite note 2:

https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries#cite_note-1

to add a virtual provides of md5.

Others are fine.
Comment 31 Vasiliy Glazov 2014-02-24 01:37:11 EST
Spec URL: https://raw.github.com/RussianFedora/libmediainfo/master/libmediainfo.spec
SRPM URL: http://koji.russianfedora.pro/kojifiles/work/tasks/714/714/libmediainfo-0.7.67-2.fc21.R.src.rpm

0. Corrected obsolete m4 macros: AC_PROG_LIBTOOL --> LT_INIT
1. Done: autoreconf -i --> autoreconf -fiv
2. Summary corrected.
3. Can be bugreported to upstream.
4. As I see it is a wrappers for MediaInfo Library for python2 and python3.
5. Done: Provides:       bundled(md5-plumb)
Comment 32 Christopher Meng 2014-02-24 02:10:22 EST
PACKAGE APPROVED.
Comment 33 Christopher Meng 2014-02-24 02:12:29 EST
Ask upstream to fix this also:

W: file-not-utf8 /usr/share/doc/libmediainfo/History.txt
Comment 34 Vasiliy Glazov 2014-02-24 02:19:32 EST
Jérôme Martinez fixed file-not-utf8 in upstream. Shall be included in next release.
Patch present but I don't want include it for one time only.
Comment 35 Jérôme Martinez 2014-02-24 02:23:08 EST
> upstream should give them license header.

License header of libmediainfo is the same form as the license header in libvpx ("Use of this source code is governed by a BSD-style license that can be found in the License.html file in the root of the source tree")

> pascal c java c++ and xxx....

Core source is pure C++.
Other programming languages are for:
- Bindings/Wrappers
- Example about how to use these bindings

> What are these py used for?

Bindings/Wrappers respectively for Python 2 and Python 3 users

> W: invalid-url URL: http://mediainfo.sourceforge.net/ <urlopen error timed out>

The URL is not timed out, there is a HTTP 301 redirection.
the .spec maintainer did not update the link, I moved aways from sourceforge, it is http://mediaarea.net/MediaInfo now (http://mediaarea.net/en/MediaInfo for the English version in case the canonical URL is not accepted due to the language selection and temporary redirection)
Actually, the sourceforge download link is also outdated:
http://mediaarea.net/download/source/%{name}/%{version}/%{name}_%{version}.tar.bz2

> W: file-not-utf8 /usr/share/doc/libmediainfo/History.txt

Corrected upsteam
Comment 36 Vasiliy Glazov 2014-02-24 02:26:57 EST
New Package SCM Request
=======================
Package Name: libmediainfo
Short Description: Library for supplies technical and tag information about a video or audio file
Owners: vascom
Branches: f19 f20 el6
InitialCC:
Comment 37 Jon Ciesla 2014-02-24 07:59:07 EST
Git done (by process-git-requests).
Comment 38 Fedora Update System 2014-02-25 01:29:29 EST
libmediainfo-0.7.67-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libmediainfo-0.7.67-2.fc20
Comment 39 Fedora Update System 2014-02-25 01:42:57 EST
libmediainfo-0.7.67-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libmediainfo-0.7.67-2.fc19
Comment 40 Fedora Update System 2014-02-25 01:52:00 EST
libmediainfo-0.7.67-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/libmediainfo-0.7.67-2.el6
Comment 41 Fedora Update System 2014-02-26 08:57:26 EST
libmediainfo-0.7.67-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 42 Fedora Update System 2014-03-07 01:32:11 EST
libmediainfo-0.7.67-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 43 Fedora Update System 2014-03-07 01:39:18 EST
libmediainfo-0.7.67-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 44 Fedora Update System 2014-03-17 18:33:57 EDT
libmediainfo-0.7.67-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.